/*
  AntiRight
  (c) 2003-2004 Jeffrey Bedard
  jefbed@e-list.net
   
  This file is part of AntiRight.
   
  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
   
  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
   
  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef AR_ARSHELL_H
#define AR_ARSHELL_H

#include "../../lib/library.h"
#include "textedit.h"
#include "arshell-util.h"
#include "color.h"

/* This allows dialog functionality by exiting on button press if
   set (-E).  */
Boolean arshell_exit_on_action_flag;

/* This is the work area.  It is created by the -Ta option.  */
Widget arshell_text_widget;

/* This is set when the text buffer is modified.  */
Boolean arshell_modified_flag;

/* This is the filename of the work area file.  */
char arshell_filename[255];

/* This is the command that will operate on designated operation
   buttons.  The last specified command is the command which will
   operate on all operation buttons.  This is used by the -Bc
   option.  */
char arshell_operation_string[255];

#endif /* AR_ARSHELL_H */
